@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700;800&display=swap');

:root {
  --bg1: #4a025c;    
  --bg2: #3a0049;   
  --teal: #4AFFBC; 
  --text-main: #ffffff;
  --text-muted: #d4e4e4;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  font-family: 'Montserrat', sans-serif;
  color: var(--text-main);
  background: var(--bg1);
  
  background-image: url('Vector\ 17\ \(1\).png');
  background-repeat: repeat; 
}
header {
  width: 100%;
  padding: 20px 30px;
  background: #2d0038;
  backdrop-filter: blur(6px);
  position: sticky;
  top: 0;
}

.nav-links {
  display: flex;
  gap: 25px;
  list-style: none;
  margin-left: auto;
  transition: ease-in-out 300ms
  
}

.nav-links a {
  color: #d4e4e4;
  font-weight: 600;
  text-decoration: none;
  font-size: 18px;
  transition: 0.2s;
}

.nav-links a:hover {
  color: #4AFFBC;
  transform: scale(1.05);
}

.hero-content img {
  max-width: 450px;
  max-height: 500px;
}
.hero-content h1 {
  cursor: none;
  transition: ease-in-out 800ms;
  opacity: 0.8;
}
.hero-content h1:hover {
  transform: scale(1.05);
  opacity: 1;
}
.navbar-mobile {
  display: flex;
  align-items: center;
}

.logo {
  height: 50px;
  border-radius: 8px;
}

#menu {
  padding: 80px 20px;
  display: flex;
  justify-content: center;
  text-align: center;
}

#menu h1 {
  font-size: 60px;
  font-weight: 800;
  color: var(--teal);
  text-shadow: none;
}

#menu h1 {
  font-size: 60px;
  font-weight: 800;
  color: var(--teal);
  text-shadow: none;
}


#menu p {
  margin-top: 12px;
  font-size: 20px;
  color: var(--text-muted);
}

#Funcionalidades {
  background: var(--bg2);
  padding: 60px 20px;
}

.titlepk {
  font-size: 48px;
  font-weight: 800;
  margin-bottom: 25px;
  color: var(--teal);
  text-align: center;
}

.maker-container {
  max-width: 900px;
  margin: auto;
  background: #4a025c;
  padding: 25px 30px;
  border-radius: 16px;
  line-height: 1.6;
  background-image: url('Vector\ 17\ \(1\).png');
}

.maker-container p {
  font-size: 18px;
  color: var(--text-muted);
}

@media (max-width: 600px) {
  #menu h1 {
    font-size: 42px;
  }
  #menu p {
    font-size: 18px;
  }
  .titlepk {
    font-size: 30px;
  }
  .logo {
    height: 42px;
  }
}

#equipe {
  padding: 80px 20px;
  background: #2d0038;
}

.title-equipe {
  text-align: center;
  font-size: 48px;
  font-weight: 800;
  color: #4AFFBC;
  margin-bottom: 40px;
}

.equipe-container {
  display: flex;
  justify-content: center; 
  align-items: center;
  gap: 30px;
  flex-wrap: wrap;
  overflow: visible; 
  padding-bottom: 20px;
}


.equipe-container::-webkit-scrollbar {
  height: 10px;
}

.equipe-container::-webkit-scrollbar-track {
  background: #222;
  border-radius: 10px;
}

.equipe-container::-webkit-scrollbar-thumb {
  background: #555;
  border-radius: 10px;
}

.card-membro {
  min-width: 260px;
  background: #4a025c;
  padding: 25px;
  border-radius: 20px;
  text-align: center;
  flex-shrink: 0;
  background-image: url('Vector\ 17\ \(1\).png');
}

.foto-membro {
  width: 110px;
  height: 110px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 15px;
}

.card-membro h3 {
  font-size: 22px;
  font-weight: 700;
  margin-bottom: 5px;
}

.card-membro p {
  font-size: 16px;
  color: #dcdcdc;
  margin-bottom: 15px;
}

.btn-linkedin {
  display: inline-block;
  background: #2d0038;
  color: #fff;
  padding: 10px 18px;
  border-radius: 10px;
  font-weight: 600;
  text-decoration: none;
  transition: 400ms;
}

.btn-linkedin:hover {
  background: var(--teal);
  color: var(--bg2);
  transform: scale(1.1);
}

#processo {
  padding: 80px 20px;
  background: #2d0038; 
  background-image: url('prototipação.png');
}

.title-processo {
  text-align: center;
  font-size: 48px;
  font-weight: 800;
  color: #4AFFBC;
  margin-bottom: 50px;
}

.video-container {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-bottom: 40px;
}

.video-projeto {
  width: 50%;
  max-width: 1000px;
  border-radius: 20px;
  border: 4px solid var(--teal);
}

.video-projeto {
  width: 90%;
  max-width: 1000px;
  border-radius: 20px;
  border: 4px solid var(--teal);
  transition: transform 0.3s ease, border-color 0.3s ease;
}

.video-projeto:hover {
  transform: scale(1.05);
  border-color: #4a025c;
}

.fotos-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  gap: 25px;
  padding: 10px;
}

.foto-projeto {
  width: 100%;
  height: 240px;
  object-fit: cover;
  border-radius: 20px;
  border: 3px solid #4a025c;
  transition: 0.3s ease;
}

.foto-projeto:hover {
  transform: scale(1.05);
  border-color: var(--teal);
}

.video-projeto,
.foto-projeto {
  transition: transform 0.3s ease, border-color 0.3s ease;
}

.video-projeto {
  width: 90%;
  max-width: 600px;
  border-radius: 20px;
  border: 4px solid #4a025c;
}

.video-projeto:hover {
  transform: scale(1.05);
  border-color: var(--teal); 
}

.foto-projeto {
  width: 100%;
  height: 240px;
  object-fit: cover;
  border-radius: 20px;
  border: 3px solid #4a025c; 
}

.foto-projeto:hover {
  transform: scale(1.05);
  border-color: var(--teal);
}

#menu {
  position: relative;
  z-index: 1;
}

header {
  z-index: 10;
}

#processo,
.fotos-container,
.video-container {
  position: relative;
  z-index: 1;
}

header {
  position: sticky;
  top: 0;
  z-index: 9999;
}

section {
  scroll-margin-top: 120px;
}

#simulacao {
  padding: 80px 20px;
  background: var(--bg1);
  text-align: center;
}

.title-simulacao {
  font-size: 48px;
  font-weight: 800;
  color: var(--teal);
  margin-bottom: 25px;
}

.sim-info {
  color: var(--text-muted);
  margin-bottom: 25px;
  font-size: 18px;
}

#simulador-area {
  width: 100%;
  max-width: 800px;
  height: 300px;
  border: 3px solid var(--teal);
  border-radius: 15px;
  margin: auto;
  position: relative;
  background: #2d0038;
  background-image: url('Vector\ 17\ \(4\).png');
}

.sensor {
  width: 120px;
  padding: 10px;
  background: #4a025c;
  border: 2px solid var(--teal);
  border-radius: 10px;
  position: absolute;
  top: 10px;
  text-align: center;
  font-weight: 700;
}

#sensor-esq {
  left: 30px;
}

#sensor-dir {
  right: 30px;
}

#objeto {
  width: 40px;
  height: 40px;
  background: var(--teal);
  border-radius: 50%;
  position: absolute;
  top: 200px;
  left: 380px;
  cursor: grab;
}

#objeto:active {
  cursor: grabbing;
}

.dados-sensores {
  margin-top: 20px;
  font-size: 20px;
}

.dados-sensores span {
  color: var(--teal);
  font-weight: 700;
}

#componentes, #aplicativos, #passo-a-passo, #codigo, #video, #licoes {
  padding: 80px 20px;
  background: var(--bg2); 
}

#componentes h2, #aplicativos h2, #passo-a-passo h2, #codigo h2, #video h2, #licoes h2 {
  text-align: center;
  font-size: 48px;
  font-weight: 800;
  color: var(--teal);
  margin-bottom: 40px;
}

.content-container {
  max-width: 900px;
  margin: 0 auto;
  line-height: 1.6;
}

.content-container p, .content-container li {
  color: var(--text-muted);
  margin-bottom: 15px;
  font-size: 18px;
}

.content-container h3 {
  color: var(--teal);
  margin-top: 30px;
  margin-bottom: 10px;
  font-size: 24px;
}

pre {
  background: #111;
  padding: 15px;
  border-radius: 8px;
  overflow-x: auto;
  margin-top: 20px;
}

code {
  font-family: 'Courier New', monospace;
  color: #fff;
  font-size: 14px;
}

.btn-download {
  display: block;
  width: fit-content;
  margin: 20px auto;
  padding: 15px 30px;
  background-color: var(--teal);
  color: var(--bg1);
  text-decoration: none;
  font-weight: 700;
  border-radius: 8px;
  transition: background-color 0.3s;
}

.btn-download:hover {
  background-color: #37d6a5;
}

.video-container {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}

.video-container iframe {
  max-width: 100%;
  height: 450px;
  border: none;
}

.btn-github {
  display: block;
  width: fit-content;
  margin: 20px auto;
  padding: 15px 30px;
  background-color: var(--teal);
  color: var(--bg1);
  text-decoration: none;
  font-weight: 700;
  border-radius: 8px;
  transition: background-color 0.3s;
}
.btn-github:hover {
  background-color: #37d6a5;
}
#desafios {
    padding: 80px 20px;
    background: var(--bg2);
}

#desafios h3 {
    color: var(--teal);
    font-size: 24px;
    margin-bottom: 10px;
    font-weight: 700;
}
#desafios h4 {
    color: var(--teal);
    font-size: 16px;
    margin-bottom: 10px;
    font-weight: 700;
}
footer {
    padding: 10px 5px;
    background: #2d0038;
    text-align: center;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1px;

    margin-top: 50px;
}

footer p {
    color: var(--text-muted);
    font-size: 14px;
    opacity: 0.8;
}
@media (max-width: 768px) {
  header {
    padding: 15px 20px;
  }

  .nav-links {
    gap: 15px;
  }

  .nav-links a {
    font-size: 16px;
  }
  #menu h1 {
    font-size: 36px;
  }

  #menu p {
    font-size: 16px;
  }

  .hero-content img {
    max-width: 95%;
  }
  .maker-container {
    padding: 20px;
  }

  .titlepk {
    font-size: 32px;
  }
  .equipe-container {
    flex-direction: column;
    align-items: center;
  }

  .card-membro {
    width: 100%;
    max-width: 300px;
  }
  .video-projeto {
    width: 100%;
    max-width: 100%;
  }

  .fotos-container {
    grid-template-columns: 1fr;
  }
  #simulador-area {
    height: 250px;
  }

  .sensor {
    width: 100px;
    font-size: 14px;
  }

  #objeto {
    left: 50%;
    transform: translateX(-50%);
  }
  #componentes, 
  #aplicativos, 
  #passo-a-passo, 
  #codigo, 
  #video, 
  #licoes {
    padding: 60px 15px;
  }

  .content-container {
    padding: 0 5px;
  }
  h2, .title-processo, 
  .title-equip, .title-simulacao {
    font-size: 34px;
  }
  footer p {
    font-size: 12px;
  }
}
@media (max-width: 768px) {

  header {
    padding: 12px 20px;
    display: flex;
    justify-content: center;
  }

  .nav-links {
    gap: 10px;
  }

  .nav-links a {
    font-size: 14px;
  }

  #menu {
    padding: 60px 10px;
  }

  #menu h1 {
    font-size: 32px !important;
    line-height: 1.2;
  }

  #menu p {
    font-size: 16px !important;
  }

  .hero-content img {
    max-width: 90%;
    height: auto;
  }

  .maker-container {
    padding: 18px;
    margin: 0 5px;
  }

  .titlepk {
    font-size: 32px !important;
  }

  .equipe-container {
    display: flex;
    flex-direction: column;
    gap: 25px;
    align-items: center;
  }

  .card-membro {
    width: 90%;
    min-width: unset;
  }

  .foto-membro {
    width: 90px;
    height: 90px;
  }

  .video-container {
    padding: 0 10px;
  }

  .video-projeto {
    width: 100% !important;
    max-width: 100% !important;
  }

  .fotos-container {
    grid-template-columns: 1fr !important;
    gap: 15px;
  }

  #simulador-area {
    width: 100%;
    height: 240px;
  }

  .sensor {
    width: 85px;
    font-size: 13px;
  }

  #objeto {
    left: 50% !important;
    transform: translateX(-50%);
  }

  section {
    scroll-margin-top: 90px !important;
  }

  #componentes, #aplicativos, #passo-a-passo,
  #codigo, #video, #licoes {
    padding: 60px 15px;
  }

  .content-container {
    padding: 0 5px;
  }

  h2, .title-equip, .title-processo, .title-simulacao {
    font-size: 34px !important;
  }
  footer p {
    font-size: 12px;
  }
}
@media (max-width: 480px) {

  .nav-links { display: none; }

  #menu h1 { font-size: 26px !important; }
  #menu p { font-size: 14px !important; }

  .card-membro { width: 100%; padding: 18px; }

  .video-projeto { border-width: 2px; }

  .sensor {
    width: 70px;
    padding: 6px;
    font-size: 12px;
  }
}


